org.gcube.dataanalysis.dataminer.poolmanager.datamodel

## Class Algorithm

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.Algorithm

    public class Algorithm
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Algorithm()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAction(Action action)`
`void` `addDependency(Dependency dep)`
`Collection<Action>` `getActions()`
`String` `getAlgorithmType()`
`String` `getCategory()`
`String` `getClazz()`
`Collection<Dependency>` `getCranDependencies()`
`Collection<Dependency>` `getDependencies()`
`String` `getDescription()`
`String` `getEmail()`
`String` `getFullname()`
`Collection<Dependency>` `getGitHubDependencies()`
`String` `getLanguage()`
`String` `getName()`
`Collection<Dependency>` `getOSDependencies()`
`String` `getPackageURL()`
`String` `getSkipJava()`
`String` `getUsername()`
`void` `setActions(Collection<Action> actions)`
`void` `setAlgorithmType(String algorithmType)`
`void` `setCategory(String category)`
`void` `setClazz(String clazz)`
`void` `setDependencies(Collection<Dependency> deps)`
`void` `setDescription(String description)`
`void` `setEmail(String email)`
`void` `setFullname(String fullname)`
`void` `setLanguage(String language)`
`void` `setName(String name)`
`void` `setPackageURL(String packageURL)`
`void` `setSkipJava(String skipJava)`
`void` `setUsername(String username)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Algorithm

    public Algorithm()

### Method Detail

#### addDependency

    public void addDependency(Dependency dep)

#### addAction

    public void addAction(Action action)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getCategory

    public String getCategory()

#### setCategory

    public void setCategory(String category)

#### getActions

    public Collection<Action> getActions()

#### getDependencies

    public Collection<Dependency> getDependencies()

#### getOSDependencies

    public Collection<Dependency> getOSDependencies()

#### getCranDependencies

    public Collection<Dependency> getCranDependencies()

#### getGitHubDependencies

    public Collection<Dependency> getGitHubDependencies()

#### setDependencies

    public void setDependencies(Collection<Dependency> deps)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getClazz

    public String getClazz()

#### setClazz

    public void setClazz(String clazz)

#### getPackageURL

    public String getPackageURL()

#### setPackageURL

    public void setPackageURL(String packageURL)

#### getAlgorithmType

    public String getAlgorithmType()

#### setAlgorithmType

    public void setAlgorithmType(String algorithmType)

#### getSkipJava

    public String getSkipJava()

#### setSkipJava

    public void setSkipJava(String skipJava)

#### getUsername

    public String getUsername()

#### setUsername

    public void setUsername(String username)

#### getFullname

    public String getFullname()

#### setFullname

    public void setFullname(String fullname)

#### getEmail

    public String getEmail()

#### setEmail

    public void setEmail(String email)

#### getLanguage

    public String getLanguage()

#### setLanguage

    public void setLanguage(String language)

#### setActions

    public void setActions(Collection<Action> actions)